com.sun.star.uno

## Interface ITypeDescription

- Deprecated.
  This interface does not cover all the features supported by the corresponding (unpublished) implementation. But no client code should need to access this functionality, anyway.

      public interface ITypeDescription

  The `ITypeDescription` allows to examine a type in detail (e.g. it is used for marshaling/unmarshaling).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArrayTypeName()` Deprecated. Gets the (Java) array type name.
    `ITypeDescription` | `getComponentType()` Deprecated. Gets the component `ITypeDescription` if this is an array type, otherwise returns `null`.
    `IFieldDescription` | `getFieldDescription(String name)` Deprecated. Gets the `IFieldDescription` for the field with the name `name`, if it exists, otherwise returns `null`.
    `IFieldDescription[]` | `getFieldDescriptions()` Deprecated. Gets the `IFieldDescription` for every field, if this type is an interface.
    `IMethodDescription` | `getMethodDescription(int methodId)` Deprecated. Gets the `IMethodDescription` for the method with index methodId, if it exists, otherwise returns `null`.
    `IMethodDescription` | `getMethodDescription(String name)` Deprecated. Gets the `IMethodDescription` for the method with the name `name`, if it exists, otherwise returns `null`.
    `IMethodDescription[]` | `getMethodDescriptions()` Deprecated. Gets the `IMethodDescription` for every method, if this type is an interface.
    `ITypeDescription` | `getSuperType()` Deprecated. Gets the `ITypeDescription` of the super, if it exists.
    `TypeClass` | `getTypeClass()` Deprecated. Gets the IDL `TypeClass` of the type.
    `String` | `getTypeName()` Deprecated. Gets the (UNO) type name.
    `Class<?>` | `getZClass()` Deprecated. Gets the corresponding java class for the type.

- - ### Method Detail

    - #### getSuperType

          ITypeDescription getSuperType()

      Deprecated.
      Gets the `ITypeDescription` of the super, if it exists.

      Returns:
        the `ITypeDescription`.

    - #### getMethodDescriptions

          IMethodDescription[] getMethodDescriptions()

      Deprecated.
      Gets the `IMethodDescription` for every method, if this type is an interface. Otherwise returns `null`.

      Returns:
        the `IMethodDescription[]`.

    - #### getMethodDescription

          IMethodDescription getMethodDescription(int methodId)

      Deprecated.
      Gets the `IMethodDescription` for the method with index methodId, if it exists, otherwise returns `null`.

      Returns:
        the `IMethodDescription`.

    - #### getMethodDescription

          IMethodDescription getMethodDescription(String name)

      Deprecated.
      Gets the `IMethodDescription` for the method with the name `name`, if it exists, otherwise returns `null`.

      Returns:
        the `IMethodDescription`.

    - #### getFieldDescriptions

          IFieldDescription[] getFieldDescriptions()

      Deprecated.
      Gets the `IFieldDescription` for every field, if this type is an interface. Otherwise returns `null`.

      Returns:
        the `IFieldDescription[]`.

    - #### getFieldDescription

          IFieldDescription getFieldDescription(String name)

      Deprecated.
      Gets the `IFieldDescription` for the field with the name `name`, if it exists, otherwise returns `null`.

      Returns:
        the `IFieldDescription`.

    - #### getTypeClass

          TypeClass getTypeClass()

      Deprecated.
      Gets the IDL `TypeClass` of the type.

      Returns:
        the `TypeClass`.

    - #### getComponentType

          ITypeDescription getComponentType()

      Deprecated.
      Gets the component `ITypeDescription` if this is an array type, otherwise returns `null`.

      Returns:
        the `ITypeDescription`

    - #### getTypeName

          String getTypeName()

      Deprecated.
      Gets the (UNO) type name.

      The following table lists how UNO types map to type names:

      UNO type | type name
      --- | ---
      VOID | `"void"`
      BOOLEAN | `"boolean"`
      CHAR | `"char"`
      BYTE | `"byte"`
      SHORT | `"short"`
      UNSIGNED SHORT | `"unsigned short"`
      LONG | `"long"`
      UNSIGNED LONG | `"unsigned long"`
      HYPER | `"hyper"`
      UNSIGNED HYPER | `"unsigned hyper"`
      FLOAT | `"float"`
      DOUBLE | `"double"`
      STRING | `"string"`
      TYPE | `"type"`
      ANY | `"any"`
      sequence type of base type T | `"[]"` followed by type name for T
      enum type named N | N (see below)
      struct type named N | N (see below)
      exception type named N | N (see below)
      interface type named N | N (see below)

      For a UNO type named N, consisting of a sequence of module names M1, ..., Mn followed by a simple name S, the corresponding type name consists of the same sequence of module names and simple name, with `"."` separating the individual elements.

      Returns:
        the type name.

    - #### getArrayTypeName

          String getArrayTypeName()

      Deprecated.
      Gets the (Java) array type name.

      The array type name is defined to be the Java class name (as returned by `Class.forName`) of the Java array class that corresponds to the UNO sequence type with this type (the UNO type represented by this `ITypeDescription` instance) as base type. For an `ITypeDescription` instance representing the UNO type VOID, the array type name is defined to be `"[Ljava.lang.Void;"`.

      Returns:
        the array type name.

    - #### getZClass

          Class<?> getZClass()

      Deprecated.
      Gets the corresponding java class for the type.

      Returns:
        the corresponding java class.